import {Context} from 'koa';

export function since_last_modified(ctx: Context, last_modified: Date): boolean{
    const con = ctx.get("If-Modified-Since");
    if(con === "") return false;
    const mdate = new Date(con);
    if(last_modified > mdate) return false;
    ctx.status = 304;
    return true;
}
